Subject: Re: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Oct 2024 20:41:01 +0200

> Date: Mon, 28 Oct 2024 13:28:14 -0400
> Cc: [email-masked], [email-masked], [email-masked]
> From: Yixuan Chen <[email-masked]>
> 
> > Thanks.  It's basically the same, as far as Emacs thinks, but do you
> > have any idea why EOB is different between these two cases (3535 vs
> > 3527)?
> 
> Between the two versions (after bad.txt before good.txt), I made this 
> change to the script: line 51 is modified from
> 
>      (run-at-time nil 1 #'random-faces)))
> to
>      ;; (run-at-time nil 1 #'random-faces)
>      ))
> 
> so that I can manually set the face to face12. That's why EOB of 
> "good.txt" is slightly larger.
> 
> > Also, Emacs thinks that the second | character is at the same buffer
> > position and the same columns as the previous one -- any idea why?
> 
> I'm sorry, that's me being bad at mouse and copy-pasting. This is the 
> correct output for the second | character in "bad.txt".

OK, so Emacs really thinks the two buffers are identical, faces,
fonts, and all the rest.